# Class SetWalletPasswordRequest

#### Hierarchy

- unknown
  - SetWalletPasswordRequest

- Defined in src/protobuf/grpc_pb.d.ts:3450
- Defined in src/protobuf/grpc_pb.d.ts:3465

#####
Index

### Constructors

constructor

### Methods

getNewPassword
getPassword
serializeBinary
setNewPassword
setPassword
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SetWalletPasswordRequest(): SetWalletPasswordRequest

- #### Returns SetWalletPasswordRequest

  Inherited from jspb.Message.constructor

## Methods

### getNewPassword

- getNewPassword(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3454

### getPassword

- getPassword(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3451

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3457

### setNewPassword

- setNewPassword(value: string): SetWalletPasswordRequest

- #### Parameters

  - ##### value: string

  #### Returns SetWalletPasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3455

### setPassword

- setPassword(value: string): SetWalletPasswordRequest

- #### Parameters

  - ##### value: string

  #### Returns SetWalletPasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3452

### toObject

- toObject(includeInstance?: boolean): SetWalletPasswordRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SetWalletPasswordRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3458

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetWalletPasswordRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetWalletPasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3461

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetWalletPasswordRequest, reader: BinaryReader): SetWalletPasswordRequest

- #### Parameters

  - ##### message: SetWalletPasswordRequest

  - ##### reader: BinaryReader

  #### Returns SetWalletPasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3462

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SetWalletPasswordRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SetWalletPasswordRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3460

### `Static` toObject

- toObject(includeInstance: boolean, msg: SetWalletPasswordRequest): SetWalletPasswordRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetWalletPasswordRequest

  #### Returns SetWalletPasswordRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3459

Generated using TypeDoc